const hlpSch = require('./TaskScheduleHelper.js')
const utilsUpdate = require('../../utils/update.js')
const defPolicySections = []

function toView (TASK_ADDITIONAL_PARAMS, activePolicyCache, formType, isGroupTask, isLocked) {
    if(formType === 'Schedule' ) {
        let data = hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule);
        data.UpdateBases = true;
    }
    else if(formType === 'Main'){
        let data = utilsUpdate.toFormsUpdateBases(TASK_ADDITIONAL_PARAMS.Settings);
        data.Form_UpdateBasesSources.isTaskLocked = isLocked;
        data.Form_UpdateBasesCommon.isTaskLocked = isLocked;
        return data;
    }
    return {}
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        TASK_ADDITIONAL_PARAMS.Settings = utilsUpdate.fromFormsUpdateBases(changedData, TASK_ADDITIONAL_PARAMS.Settings);
    }
}

module.exports = {
    defPolicySections,
    toView,
    toRaw
};
