const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['QuarantinePolicy']
const formValues = ['StorePath','CheckSizeLimit','SizeLimit', 'CheckFreeSpaceThreshold', 'FreeSpaceThreshold', 'RestorePath']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.QuarantinePolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.QuarantinePolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
