const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['NetAppMonitorPolicy']
const formValues = ['ScanScope']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.NetAppMonitorPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.NetAppMonitorPolicy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
