const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['AntiCryptorPolicy']
const formValues = ['UseExcludeFolders','ExcludeFolders']

function toView (policiesCache) {
    let data = hlp.customToView(policiesCache.AntiCryptorPolicy.Policy.KLPRSS_Val, formValues)
    data.UiFolders = []
    for(let node of data.ExcludeFolders.KLPRSS_Val[0]){
        data.UiFolders.push({"Name":node})
    }
    return data
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.AntiCryptorPolicy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
