const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['QuarantineSettings']
const formValues = ['StorePath','CheckSizeLimit','SizeLimit', 'CheckFreeSpaceThreshold', 'FreeSpaceThreshold', 'RestorePath']

function toView (settCache, activePolicyCache) {
    let data = hlp.localSettingsToView(settCache.QuarantineSettings,activePolicyCache.QuarantineSettings,formValues);
    data.LocalSettings=true
    return data
}

function toRaw (changedData, settCache) {
    hlp.ItemToLocalSettings(changedData);
    Object.assign(settCache.QuarantineSettings, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
