const lo = require('lodash');
const hlpSch = require('./TaskScheduleHelper.js')

function toView (TASK_ADDITIONAL_PARAMS, formType) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule);
    }
    else if(formType === 'Main'){
        let data = {
            Form_Task_CheckFilesIntegrity:{
                HashType: TASK_ADDITIONAL_PARAMS.Settings.HashType,
                ScanAreas:TASK_ADDITIONAL_PARAMS.Settings.ScanAreas
            }
        }
        return data;
    }
    return {}
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        Object.assign(TASK_ADDITIONAL_PARAMS.Settings, lo.pick(changedData.Form_Task_CheckFilesIntegrity, ['HashType','ScanAreas']));
    }
}

module.exports = {
    toView,
    toRaw
}
