const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['ApplicationControlPolicy']
const formValues = ['UseTrustedInstaller', 'TrustWindowsInstaller', 'TrustBackgroundIntelligentTransferService', 'TrustedInstallers']

function toView (policiesCache) {
    let data = hlp.customToView(policiesCache.ApplicationControlPolicy.Policy.KLPRSS_Val, formValues)
    return data
}

function toRaw (changedData, policiesCache) {
    Object.assign( policiesCache.ApplicationControlPolicy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
